# Maintainer: Mighty17 <mightymb17@gmail.com>
# Co-Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
# Reference: <https://postmarketos.org/devicepkg>
pkgname=device-samsung-espresso3g
pkgdesc="Samsung Galaxy Tab 2 3g (7.0 inch)"
pkgver=0.2
pkgrel=2
url="https://postmarketos.org"
license="MIT"
arch="armv7"
options="!check !archcheck"
depends="postmarketos-base linux-samsung-espresso mkbootimg sgx-ddk-um mesa-pvr-dri-classic"
makedepends="devicepkg-dev"
install="$pkgname.post-install $pkgname.post-upgrade"
subpackages="$pkgname-nonfree-firmware:nonfree_firmware"
source="deviceinfo"

build() {
	devicepkg_build $startdir $pkgname
}

nonfree_firmware() {
	pkgdesc="Wifi and Bluetooth firmware"
	depends="firmware-samsung-espresso linux-firmware-brcm"
	mkdir -p "$subpkgdir"
}

package() {
	devicepkg_package $startdir $pkgname
}


sha512sums="
f45472ab7917d1e5522c78d877d23ab0e6664f0a7d5b7f01aab428c8c484afe4a76fcb4127ba2279f83ce7532f9125fd098063c10459e4c9d6401dffdc33d2f4  deviceinfo
"
